﻿Type=StaticCode
Version=2.9
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub

Public Sub SaveResizedImage(Source As String, Target As String, Filename As String, SaveSize As Int, ReturnSize As Int) As Image
	Dim temp As Image
	temp.Initialize(File.GetFileParent(Source),File.GetName(Source))
	Dim wid As Int=temp.Width
	Dim hid As Int=temp.Height
	If wid>hid Then
		Dim swid As Int=SaveSize
		Dim shid As Int=(SaveSize/wid)*hid
		Dim rwid As Int=ReturnSize
		Dim rhid As Int=(ReturnSize/wid)*hid
	Else
		Dim shid As Int=SaveSize
		Dim swid As Int=(SaveSize/hid)*wid
		Dim rhid As Int=ReturnSize
		Dim rwid As Int=(ReturnSize/hid)*wid
	End If
	Dim temp2 As Image
	temp2.InitializeSample(File.GetFileParent(Source),File.GetName(Source),swid,shid)
	Dim out As OutputStream=File.OpenOutput(Target,Filename,False)
	temp2.WriteToStream(out)
	out.Close
	Dim temp3 As Image
	temp3.InitializeSample(Target,Filename,rwid,rhid)
	Return temp3
End Sub

Public Sub ResizeImage(Source As String, Size As Int) As Image
	Dim temp As Image
	temp.Initialize(File.GetFileParent(Source),File.GetName(Source))
	Dim wid As Int=temp.Width
	Dim hid As Int=temp.Height
	If wid>hid Then
		Dim swid As Int=Size
		Dim shid As Int=(Size/wid)*hid
	Else
		Dim shid As Int=Size
		Dim swid As Int=(Size/hid)*wid
	End If
	Dim temp2 As Image
	temp2.InitializeSample(File.GetFileParent(Source),File.GetName(Source),swid,shid)
	Return temp2
End Sub

Public Sub ReadSQLiteBlob(SQLBlob() As Byte) As Image
	Dim InputStream1 As InputStream
	InputStream1.InitializeFromBytesArray(SQLBlob, 0, SQLBlob.Length)
   
	Dim Bitmap1 As Image
	Bitmap1.Initialize2(InputStream1)
	InputStream1.Close
	Return Bitmap1
End Sub

Public Sub CreateSQLiteBlob(Source As Image) As Byte()
	Dim output As OutputStream
	output.InitializeToBytesArray(1000)
	Source.WriteToStream(output)
	Dim buffer() As Byte
	buffer=output.ToBytesArray
	output.Close
	Return buffer
End Sub














